For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
        • Product Variants
        • Product Variant Options
            • GETList Product Variant Options
            • POSTCreate Product Variant Option
            • GETGet Product Variant Option
            • PUTUpdate Product Variant Option
            • DELDelete Product Variant Option
              • GETList Product Variant Option Values
              • POSTCreate Product Variant Option Value
              • GETGet Product Variant Option Value
              • PUTUpdate Product Variant Option Value
              • DELDelete Product Variant Option Value
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProduct Variant OptionsValues

Update Product Variant Option Value

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/options/:option_id/values/:value_id
PUT
/stores/:store_hash/v3/catalog/products/:product_id/options/:option_id/values/:value_id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/options/1/values/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "label": "Green",
> "sort_order": 0
>}'
1{
2 "data": {
3 "label": "Pick a color",
4 "sort_order": 9,
5 "is_default": false,
6 "value_data": {
7 "colors": [
8 "#123c91, #FFFF00, #397a44"
9 ]
10 },
11 "id": 44
12 }
13}
Updates a *Variant Option Value*. **Read-Only Fields** * id
Was this page helpful?
Previous

Get Product Variant Option Value

Next

Delete Product Variant Option Value

Built with

Updates a Variant Option Value.

Read-Only Fields

  • id

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

option_idintegerRequired

The ID of the Option.

value_idintegerRequired

The ID of the Modifier/Option Value.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

A BigCommerce OptionValue object.

labelstringRequired

The text display identifying the value on the storefront. Required in a /POST.

sort_orderintegerRequired-2147483648-2147483647

The order in which the value will be displayed on the product page. Required in a /POST.

is_defaultbooleanOptional

The flag for preselecting a value as the default on the storefront. This field is not supported for swatch options/modifiers.

value_dataobjectOptional
Extra data describing the value, based on the type of option or modifier with which the value is associated. The `swatch` type option can accept an array of `colors`, with up to three hexidecimal color keys; or an `image_url`, which is a full image URL path including protocol. The `product list` type option requires a `product_id`. The `checkbox` type option requires a boolean flag, called `checked_value`, to determine which value is considered to be the checked state.
idintegerOptional

The unique numeric ID of the value; increments sequentially.

Response

dataobject
Common Option Value properties.
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.

Extra data describing the value, based on the type of option or modifier with which the value is associated. The swatch type option can accept an array of colors, with up to three hexidecimal color keys; or an image_url, which is a full image URL path including protocol. The product list type option requires a product_id. The checkbox type option requires a boolean flag, called checked_value, to determine which value is considered to be the checked state.